services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannFacts\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannFacts\Controller\FactController:
    arguments:
      $factService: '@WebitDe\DrbeckmannFacts\Service\FactService'

  WebitDe\DrbeckmannFacts\Service\FactService:
    arguments:
      $factRepository: '@WebitDe\DrbeckmannFacts\Domain\Repository\FactRepository'
